# Contributing

## Issues

If you want to request a feature or report a bug, please use the following template.

```markdown
## Description

[Add feature/bug description here]

## How to reproduce

[Add steps on how to reproduce this issue]

## What do you expect

[Describe what do you expect to happen]

## What happened instead

[Describe the actual results]

## Gem version:

Browser version: [Add browser gem version here]

## Report

Visit <http://user-agent.herokuapp.com> and paste the URL here.
```

## Writing code

Once you've made your great commits (include tests, please):

1. [Fork](http://help.github.com/forking/) browser
2. Create a topic branch - `git checkout -b my_branch`
3. Push to your branch - `git push origin my_branch`
4. [Create an Issue](http://github.com/fnando/browser/issues) with a link to your branch
5. That's it!

Please respect the indentation rules and code style.
And use 2 spaces, not tabs. And don't touch the versioning thing.
